data:extend(
{
  {
    type = "inserter",
    name = "brass-inserter",
    icon = "__Brass-mod__/graphics/icons/brass-inserter.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable =
    {
      hardness = 0.2,
      mining_time = 0.5,
      result = "brass-inserter"
    },
    max_health = 40,
    corpse = "small-remnants",
    resistances = 
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
    pickup_position = {0, -1},
    insert_position = {0, -2.35},
    energy_per_movement = 5000,
    energy_per_rotation = 5000,
    rotation_speed = 0.03,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      drain = "0.4kW"
    },
    extension_speed = 0.07,
    fast_replaceable_group = "inserter",
    hand_base_picture =
    {
      filename = "__Brass-mod__/graphics/entity/brass-inserter/brass-inserter-hand-base.png",
      priority = "extra-high",
      width = 8,
      height = 34
    },
    hand_closed_picture =
    {
      filename = "__Brass-mod__/graphics/entity/brass-inserter/brass-inserter-hand-closed.png",
      priority = "extra-high",
      width = 20,
      height = 41
    },
    hand_open_picture =
    {
      filename = "__Brass-mod__/graphics/entity/brass-inserter/brass-inserter-hand-open.png",
      priority = "extra-high",
      width = 20,
      height = 41
    },
    platform_picture =
    {
      priority = "extra-high",
      width = 46,
      height = 46,
      sheet = "__Brass-mod__/graphics/entity/brass-inserter/brass-inserter-platform.png"
    }
  }
}
)